blob: 6137ca01a02b1c0aa6ad27906ae457abfe71a3d0 (
plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
|
--- client.ebuild 2006-05-01 13:09:11.000000000 +0200
+++ armagetronad-0.2.8.1.ebuild 2006-05-01 13:19:04.000000000 +0200
@@ -1,6 +1,6 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /cvsroot/armagetronad/armagetronad_build/gentoo/client.ebuild,v 1.18 2006/05/01 08:59:46 luke-jr Exp $
+# $Header: /var/cvsroot/gentoo-x86/games-action/armagetronad/Attic/armagetronad-0.2.8.1.ebuild,v 1.3 2006/05/01 02:51:37 mr_bones_ Exp $
inherit flag-o-matic eutils games
@@ -20,11 +20,10 @@
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="amd64 ppc x86"
+KEYWORDS="~amd64 ~ppc ~x86"
IUSE="debug dedicated krawall opengl moviepack moviesounds"
-GLDEPS="
- || (
+GLDEPS="|| (
x11-libs/libX11
virtual/x11
)
@@ -33,19 +32,15 @@
media-libs/libsdl
media-libs/sdl-image
media-libs/jpeg
- media-libs/libpng
- "
-RDEPEND="
- >=dev-libs/libxml2-2.6.12
+ media-libs/libpng"
+RDEPEND=">=dev-libs/libxml2-2.6.12
sys-libs/zlib
opengl? ( ${GLDEPS} )
- !dedicated? ( ${GLDEPS} )
- "
+ !dedicated? ( ${GLDEPS} )"
DEPEND="${RDEPEND}
moviepack? ( app-arch/unzip )
moviesounds? ( app-arch/unzip )
- linguas_es? ( !linguas_en? ( app-arch/unzip ) )
- "
+ linguas_es? ( !linguas_en? ( app-arch/unzip ) )"
src_unpack() {
unpack ${A}
|